# Information Architecture

Calypso's navigation model is based on two key pieces:

- Masterbar
- Left-to-Right

<img alt="Calypso Information Architecture model" width="700" src="https://cldup.com/ITv1wpRIkO-3000x3000.png" />

The Masterbar is the top-level piece of all our UIs across all devices. It's designed to work at desktop size, mobile size, web, iOS, and Android alike.

The Left-to-Right logic means that everything goes from a higher level of abstraction on the left, to a lower level of abstraction on the right, or from step 1 on the left to step N on the right. **Imagine the viewport as a window on a horizontal sheet of paper that moves around based on what needs to be focused**.

## Effective Design for Multiple Screens

The model above is designed to convert well to multiple devices and screens. This is the current Calypso information architecture, mapped to the Masterbar:

<img alt="Calypso navigation" width="700" src="https://cldup.com/XynNhuIZUY-3000x3000.png" />

And this is how it translates on multiple platforms:

<img alt="Calypso on multiple devices" width="700" src="https://cldup.com/MPqtoUgc4P-3000x3000.png" />

It's exactly the same structure, with the ideal balance between platform standards and the WordPress.com brand.

Previous: [The Technology Behind Calypso](tech-behind-calypso.md) Next: [Navigation Terminology](navigation-terminology.md)
